data {
    int N;
    real X[N, 2];
}
transformed data {
    real Dif[N];
    for (i in 1:N)
        Dif[i] = X[i][1] - X[i][2];
}
parameters {
    real mu;
    real<lower = 0.0> sgm;
}
model {
    mu ~ normal(0.0, 1000.0);
    sgm ~ exponential(0.0001);
    for (i in 1:N)
        Dif[i] ~ normal(mu, sgm);
}
